# OgreAnimable.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreVector2.h"`
`#include "OgreVector3.h"`
`#include "OgreVector4.h"`
`#include "OgreQuaternion.h"`
`#include "OgreColourValue.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreStringVector.h"`
`#include "OgreException.h"`
`#include "OgreAny.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::AnimableValue
| Defines an object property which is animable, ie may be keyframed. More...
class | Ogre::AnimableObject
| Defines an interface to classes which have one or more AnimableValue instances to expose. More...

## Typedefs

typedef SharedPtr < AnimableValue > | Ogre::AnimableValuePtr

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:05 2008